sortDrawdowns {PerformanceAnalytics} | R Documentation

## order list of drawdowns from worst to best

### Description

sortDrawdowns(findDrawdowns(R)) Gives the drawdowns in order of worst to best

### Usage

    sortDrawdowns(runs)

### Arguments

`runs` | pass in runs array from findDrawdowns to be sorted

### Details

Returns a sorted list:

- return depth of drawdown

- from starting period

- to ending period

- length length in periods

### Author(s)

Peter Carl
modified with permission from prototype function by Sankalp Upadhyay

### References

Bacon, C. Practical Portfolio Performance Measurement and Attribution. Wiley. 2004. p. 88

### See Also

`DownsideDeviation`
`maxDrawdown`
`findDrawdowns`
`sortDrawdowns`
`chart.Drawdown`
`table.Drawdowns`
`table.DownsideRisk`

### Examples

    data(edhec)
    findDrawdowns(edhec[,"Funds of Funds", drop=FALSE])
    sortDrawdowns(findDrawdowns(edhec[,"Funds of Funds", drop=FALSE]))

[Package PerformanceAnalytics version 1.5.3 Index]